Update the route details of a consignment

​

Path Parameters

Body·

application/json
  • Signed 32-bit integers (commonly used integer type).

Responses

  • OK

  • Not Modified

Request Example for put/v1/consignments/{consignmentId}/route
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/route \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "carrierId": null,
  "carrierReferenceNumber": null,
  "carrierRunNumber": null,
  "carrierRunOrdinal": null,
  "originAddressId": null,
  "originAttention": null,
  "destinationAddressId": null,
  "destinationAttention": null,
  "destinationAuthorityToLeave": true,
  "defaultDispatchWarehouseLocationId": null,
  "defaultReceiveWarehouseLocationId": null,
  "deliveryInstructions": null
}'
No Body